
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global _name	velero
%global package_name	    github.com/vmware-tanzu/%{_name}
%global _buildhost          build-ol%{?oraclelinux}-%{?_arch}.oracle.com
%global golang_version      1.17
%define version 1.8.1

Name:           %{_name}
Version:        %{version}
Release:        1%{?dist}
Summary:        Velero (formerly Heptio Ark) gives you tools to back up and restore your Kubernetes cluster resources and persistent volumes. You can run Velero with a public cloud platform or on-premises.
License:        Apache 2.0
Group:          System/Management
Url:            https://github.com/vmware-tanzu/%{name}
Source:         %{name}-%{version}.tar.bz2
Vendor:         Oracle America
BuildRequires:  golang >= %{golang_version}

%description
Velero (formerly Heptio Ark) gives you tools to back up and restore your Kubernetes cluster resources and persistent volumes. You can run Velero with a public cloud platform or on-premises.


%prep
%setup -q -n %{name}-%{version}

%build
export GOPATH=$(go env GOPATH)
GOPATH_SRC=$GOPATH/src/%{package_name}
%__mkdir_p $GOPATH_SRC
%__rm -r $GOPATH_SRC
%__ln_s $PWD $GOPATH_SRC
%__mkdir_p %{_builddir}/%{name}-%{version}/_output/bin/

pushd $GOPATH_SRC
cd ${GOPATH_SRC}
GIT_REVISION=3fdb7d265e8cfd59e6afacc9624f630290fe99d2
BUILD_USER=${BUILD_USER:-"${USER}@%{_buildhost}"}
BUILD_DATE=${BUILD_DATE:-$( date +%Y%m%d-%H:%M:%S )}

GCFLAGS=""
export CGO_ENABLED=0
PKG=%{package_name}
BIN=%{_name}
GIT_TREE_STATE=clean
REGISTRY=container-registry.oracle.com/olcne/%{_name}

ldflags="
        -X ${PKG}/pkg/buildinfo.Version=%{version}
        -X ${PKG}/pkg/buildinfo.ImageRegistry=${REGISTRY}
        -X ${PKG}/pkg/buildinfo.GitSHA=${GIT_REVISION}
        -X ${PKG}/pkg/buildinfo.GitTreeState=${GIT_TREE_STATE}"

go build -v \
        -o %{_builddir}/%{name}-%{version}/_output/bin/linux/amd64/%{_name} \
        -gcflags "${GCFLAGS}" \
        -installsuffix "static" \
        -ldflags "${ldflags}" \
        ${PKG}/cmd/${BIN}

%install
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 -t %{buildroot}%{_bindir}/ %{_builddir}/%{name}-%{version}/_output/bin/linux/amd64/%{_name}


%files
%{_bindir}/%{_name}

%license LICENSE THIRD_PARTY_LICENSES.txt
%doc README.md

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Fri Jun 17 2022 Abhishek Mitra <abhishek.a.mitra@oracle.com> - 1.8.1-1
- Added Oracle specific build files

